package com.fujica.abk.utils;

import ohos.agp.window.dialog.CommonDialog;
import ohos.agp.window.dialog.ToastDialog;
import ohos.app.Context;
import ohos.eventhandler.EventHandler;
import ohos.eventhandler.EventRunner;

public class Toast {
    /**
     * 在主线程显示 Toast
     */
    private static void showOnMainThread(Context context, String message) {
        if (context == null) {
            return;
        }
        // 创建主线程的 EventHandler
        DialogUtil.postTask(() -> {
            new ToastDialog(context).setText(message).show();
        });
    }
    
    public static void info(Context context, String message) {
        showOnMainThread(context, message);
    }
    
    public static void error(Context context, String message) {
        showOnMainThread(context, message);
    }
}

